<?php

global $all_vars, $index;

$postnuke_theme = true;
$autotheme_theme = true;

//Include theme specific files for config, command definition, parsing and functions
include(dirname(__FILE__)."/theme.cfg");

$thename = basename(dirname(__FILE__));
themes_get_language();

include(dirname(__FILE__)."/includes/commands.inc.php");
include(dirname(__FILE__)."/includes/autotheme.inc.php");

//Tables that modules and others call so as to keep consistent with the theme
function OpenTable()
{
    global $bgcolor1, $bgcolor2;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\"><tr><td>\n";
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTable()
{
    echo "</td></tr></table></td></tr></table>\n";
}

function OpenTable2()
{
    global $bgcolor1, $bgcolor2;
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\" align=\"center\"><tr><td>\n";
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTable2()
{
    echo "</td></tr></table></td></tr></table>\n";
}

//This is the theme header - the layout that is rendered before the modules
function themeheader()
{
    global $all_vars;
    extract($all_vars);
    display_parts($output['header'], $commands['header']);
}

//This is the theme footer - the layout that is rendered after the modules
function themefooter()
{
    global $all_vars;
    extract($all_vars);
    display_parts($output['footer'], $commands['footer']);
}

//This displays the article summary on the main page
function themeindex ($_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $info, $links, $preformat)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);
    $all_vars = get_defined_vars();
    display_parts($output['summary'], $commands['summary']);
}

//This displays the full article when read more... is clicked in the article summary
function themearticle ($_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $info, $links, $preformat)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);
    $all_vars = get_defined_vars();
    display_parts($output['article'], $commands['article']);
}

//These are the side blocks
function themesidebox($block)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);
    
    if (empty($block['position'])) {
        $block['position'] = 'a';
	}
	switch($block['position']) {
        case 'l':
        $bparts = $output['leftblock'];
        $bcommands = $commands['leftblock'];
        break;

        case 'r':
        $bparts = $output['rightblock'];
        $bcommands = $commands['rightblock'];
        break;
        
        case 'c':
        $bparts = $output['centerblock'];
        $bcommands = $commands['centerblock'];
        break;
        
        case '1':
        $bparts = $output['area1block'];
        $bcommands = $commands['area1block'];
        break;

        case '2':
        $bparts = $output['area2block'];
        $bcommands = $commands['area2block'];
        break;

        case '3':
        $bparts = $output['area3block'];
        $bcommands = $commands['area3block'];
        break;
        
        case '4':
        $bparts = $output['area4block'];
        $bcommands = $commands['area4block'];
        break;

        case '5':
        $bparts = $output['area5block'];
        $bcommands = $commands['area5block'];
        break;

        case '6':
        $bparts = $output['area6block'];
        $bcommands = $commands['area6block'];
        break;

        case '7':
        $bparts = $output['area7block'];
        $bcommands = $commands['area7block'];
        break;

        case '8':
        $bparts = $output['area8block'];
        $bcommands = $commands['area8block'];
        break;

        case '9':
        $bparts = $output['area9block'];
        $bcommands = $commands['area9block'];
        break;

        case 'top':
        $bparts = $output['topblock'];
        $bcommands = $commands['topblock'];
        break;
        
        case 'bottom':
        $bparts = $output['bottomblock'];
        $bcommands = $commands['bottomblock'];
        break;
    }
    //Define custom block templates
    $title = trim(strip_tags($block[title], ""));

    if($custom_block) {
        foreach($custom_block as $name => $file) {
            if($name == $title && file_exists($themepath.$file)) {
                $HTML = atTemplateLoad($themepath.$file);
                list ($bparts, $bcommands) = find_commands($HTML, $command);
            }
        }
    }
    //Echo parts and execute commands
    if($bparts) {
        $all_vars = get_defined_vars();
        display_parts($bparts, $bcommands);
    }
}

?>
